=== debian/changelog ===
obexpushd (0.10.2-1) unstable; urgency=low

  * New upstream release (Closes: #531355).
  * New maintainer (Closes: #529671).
  * Source format to 3.0 (quilt).
  * Standards-Version to 3.8.4.
  * debhelper compatibility to 7.
  * d/rules: switched to cdbs class for cmake (Closes: #458731).
  * d/copyright: converted to DEP-5 format.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 23 May 2010 21:49:16 +0200

obexpushd (0.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS by including <limits.h> in src/get.c (Closes: #490675, #527726)

 -- Filippo Giunchedi <filippo@debian.org>  Sun, 07 Jun 2009 19:18:07 +0200

obexpushd (0.7-1) unstable; urgency=low

  * New upstream release
  * Updated package to use CDBS.
  * debian/control:
    - Standards-Version: 3.7.3
    - Updated "Homepage:" pseudo-header as Reference 1.14.6.
    - Added cdbs build-dependence.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Wed, 26 Dec 2007 16:50:59 -0200

obexpushd (0.6-1) unstable; urgency=low

  * New upstream release
  * debian/control: Added "cmake" build dependence.
  * debian/watch: updated.
  * Fixed segfaults when run with -d switch. (Closes: #448169)

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Sat, 03 Nov 2007 02:07:38 +0000

obexpushd (0.5-4) unstable; urgency=low

  * New mantainer. (Closes: #441632)
  * control: Added Homepage.
  * watch: Updated.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Fri, 21 Sep 2007 21:11:17 -0300

obexpushd (0.5-3) unstable; urgency=low

  * Fix crash with SE phones (closes: #432577)
  * Do not ignore error from $(MAKE) in clean target, fixes lintian warning

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Wed, 11 Jul 2007 01:49:42 +0200

obexpushd (0.5-2) unstable; urgency=low

  * debian/control: s/libbluetooth2-dev/libbluetooth-dev/

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Fri, 01 Jun 2007 00:26:37 +0200

obexpushd (0.5-1) unstable; urgency=low

  * New upstream release
  * Fix gcc warning on 64-bit machines

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Fri, 01 Jun 2007 00:00:28 +0200

obexpushd (0.4+svn10-2) unstable; urgency=low

  * Apply patch from Hendrik Sattler to fix failure to receive files from
    SE K700i phones (closes: #401203)

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat,  2 Dec 2006 20:37:00 +0100

obexpushd (0.4+svn10-1) unstable; urgency=low

  * New upstream SVN snapshot
    - Fixed arbitrary command execution vulnerability (closes: #397297)

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Tue,  7 Nov 2006 23:12:15 +0100

obexpushd (0.4-3) unstable; urgency=low

  * Fixed calls to function obex_auth_unpack_response(), that was changed in
    version 0.4-2

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat,  4 Nov 2006 22:27:30 +0100

obexpushd (0.4-2) unstable; urgency=low

  * Applied patch from upstream SVN to fix FTBFS on 64-bit architectures
    (closes: #397015)

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat,  4 Nov 2006 22:05:42 +0100

obexpushd (0.4-1) unstable; urgency=low

  * New upstream release
  * Build-depend on xmlto instead of xsltproc and docbook-x{xl,ml}
  * debian/copyright: updated with new source location
    (http://sf.net/projects/obexpushd)

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Fri,  3 Nov 2006 20:43:15 +0100

obexpushd (0.3-3) unstable; urgency=low

  * Fix "daemonizes to root dir" (closes: #394113)
  * Improved error handling (obexpushd does not segfault anymore if it is
    allready run)
  * Run exit() in child processes after receiving a file 

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Fri, 20 Oct 2006 17:32:42 +0200

obexpushd (0.3-2) unstable; urgency=low

  * Fix typo in short description, thanks to David Liontooth (closes: #391701)
  * Build-depend on docbook-xml to fix warning from xsltproc

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sun,  8 Oct 2006 17:29:05 +0200

obexpushd (0.3-1) unstable; urgency=low

  * New upstream release
  * Fix format string for printf (%d -> %zd) to fix warning on 64-bit
    architectures
  * Install upstream README
  * Build-depend on xsltproc and docbook-xls for building manpage; do not ship
    manapage in debian/

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Fri,  6 Oct 2006 13:21:49 +0200

obexpushd (0.2-1) unstable; urgency=low

  * Initial release (Closes: #389091)

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat, 23 Sep 2006 23:06:44 +0200
