=== debian/control ===
Source: obexpushd
Section: comm
Priority: optional
Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
Uploaders: Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper (>= 7), libopenobex1-dev, libbluetooth-dev,
 pkg-config, xmlto, cmake, cdbs
Standards-Version: 3.8.4
Homepage: http://www.hendrik-sattler.de/devel/obexpushd/

Package: obexpushd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: bluez-utils, irda-utils
Description: program for receiving files via Bluetooth or IRDA
 This program can be used to receive files with OBEX protocol
 over Bluetooth or IrDA (infrared) connection. This program
 should work with many mobile devices like PDA's and mobile
 phones.
