=== debian/watch ===
version=3
http://www.hendrik-sattler.de/devel/obexpushd/downloads http://www\.hendrik-sattler\.de/downloads/obexpushd/.*/obexpushd-(.*)-source\.tar\.gz
