## obexpushd 0.11.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project ( obexpushd NONE )
 
 set ( VERSION_MAJOR 0 )
-set ( VERSION_MINOR 10 )
+set ( VERSION_MINOR 11 )
 set ( VERSION_PATCH 2 )
 set ( VERSION "${VERSION_MAJOR}.${VERSION_MINOR}" )
 if ( VERSION_PATCH GREATER 0 )
