=== debian/changelog ===
obexpushd (0.11.2-6) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with CMake 4. (Closes: #1113338)

 -- Adrian Bunk <bunk@debian.org>  Sun, 26 Oct 2025 23:37:17 +0200

obexpushd (0.11.2-5) unstable; urgency=medium

  * QA upload.

  * Added 1000-glibc-sys-xattr.patch to switch to <sys/xattr.h>
    (Closes: #953934).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 18 Oct 2024 08:18:59 +0200

obexpushd (0.11.2-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.2 to 4.7.0.
  * Used wrap-and-sort -at for debian control files
  * Replaced obsolete pkg-config build dependency with pkgconf.
  * Trimmed trailing whitespace.
  * Changed to versioned copyright format URI.
  * Updated copyright file header to use current field names.
  * Dropped fields with obsolete URLs.
  * Bumped debhelper from deprecated 7 to 10.
  * Replaced spaces in short license names with dashes.
  * Removed unnecessary get-orig-source-target.
  * Corrected d/copyright formatting.
  * Switched d/rules to simple dh and move to debhelper level 13.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 10 May 2024 23:04:25 +0200

obexpushd (0.11.2-3) unstable; urgency=medium

  * QA upload.
  * Drop IrDA support which was dropped from Linux. (Closes: #906496)

 -- Bastian Germann <bage@debian.org>  Tue, 29 Aug 2023 18:29:04 +0200

obexpushd (0.11.2-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #856738)

 -- Marcos Talau <talau@debian.org>  Wed, 09 Nov 2022 15:21:49 -0300

obexpushd (0.11.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change build-dep on libopenobex1-dev by libopenobex2-dev.  Closes: #813578

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 07 Feb 2016 13:53:47 +0000

obexpushd (0.11.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards Version to 3.9.2 (no changes).
  * Add 01errno patch.
  * Update homepage and watchfile.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 08 Aug 2011 02:55:21 +0200

obexpushd (0.11.1-1) experimental; urgency=low

  * New upstream release.
    + Fix NULL pointer dereference (Closes: #592270).
  * Standards-Version to 3.9.1.
  * d/copyright: Fixed md5.c path.
  * Removed Ola Lundqvist from Uploaders.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 08 Aug 2011 01:57:03 +0200
