=== debian/control ===
Source: obexpushd
Section: comm
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libbluetooth-dev,
               libopenobex2-dev,
               pkgconf,
               xmlto,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/obexpushd
Vcs-Git: https://salsa.debian.org/debian/obexpushd.git

Package: obexpushd
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: bluez-utils,
Description: program for receiving files via Bluetooth
 This program can be used to receive files with OBEX protocol
 over Bluetooth connection. This program
 should work with many mobile devices like PDA's and mobile
 phones.
