=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

execute_after_dh_install:
	rm -f $(CURDIR)/debian/obexpushd/usr/share/doc/obexpushd/LICENSE
	rm -f $(CURDIR)/debian/obexpushd/usr/share/doc/obexpushd/GPLv2.txt
