=== debian/watch ===
version=3
http://www.hendrik-sattler.de/downloads/obexpushd/([\d\.]+)/obexpushd-(.+)-source.tar.gz
